REST Resource: instantSnapshotGroups

Resource: InstantSnapshotGroup

Represents an InstantSnapshotGroup resource.

An instant snapshot group is a set of instant snapshots that represents a point in time state of a consistency group.

JSON representation
{
  "kind": string,
  "name": string,
  "description": string,
  "id": string,
  "status": enum (Status),
  "resourceStatus": {
    object (ResourceStatus)
  },
  "creationTimestamp": string,
  "zone": string,
  "region": string,
  "selfLink": string,
  "selfLinkWithId": string,
  "sourceConsistencyGroup": string
}
Fields
kind

string

Output only. Type of the resource. Always

compute#instantSnapshotGroup

for InstantSnapshotGroup resources.

name

string

Identifier. Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.

description

string

Optional. An optional description of this resource. Provide this property when you create the resource.

id

string (uint64 format)

Output only. The unique identifier for the resource. This identifier is defined by the server.

status

enum (Status)

Output only.

resourceStatus

object (ResourceStatus)

creationTimestamp

string

Output only. Creation timestamp in RFC3339 text format.

zone

string

Output only. URL of the zone where the instant snapshot group resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.

region

string

Output only. URL of the region where the instant snapshot group resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.

sourceConsistencyGroup

string

Status

Enums
INVALID
CREATING
READY
FAILED
DELETING
UNKNOWN

ResourceStatus

JSON representation
{
  "consistencyMembershipResolutionTime": string,
  "sourceInfo": {
    object (SourceInfo)
  }
}
Fields
consistencyMembershipResolutionTime

string (Timestamp format)

Output only.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

sourceInfo

object (SourceInfo)

Output only.

SourceInfo

JSON representation
{
  "consistencyGroup": string,
  "consistencyGroupId": string
}
Fields
consistencyGroup

string

consistencyGroupId

string

Methods

delete

The method compute.v1.InstantSnapshotGroupsService.Delete is not available in Cloud de Confiance by S3NS.

get

The method compute.v1.InstantSnapshotGroupsService.Get is not available in Cloud de Confiance by S3NS.

getIamPolicy

The method compute.v1.InstantSnapshotGroupsService.GetPolicy is not available in Cloud de Confiance by S3NS.

insert

The method compute.v1.InstantSnapshotGroupsService.Insert is not available in Cloud de Confiance by S3NS.

list

The method compute.v1.InstantSnapshotGroupsService.List is not available in Cloud de Confiance by S3NS.

setIamPolicy

The method compute.v1.InstantSnapshotGroupsService.SetPolicy is not available in Cloud de Confiance by S3NS.

testIamPermissions

The method compute.v1.InstantSnapshotGroupsService.TestPermissions is not available in Cloud de Confiance by S3NS.